package com.ruoyi.business.service;

import java.util.List;

import cn.hutool.core.date.DateTime;
import com.ruoyi.business.domain.TbPayment;

/**
 * 支付Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbPaymentService 
{
    /**
     * 查询支付
     * 
     * @param id 支付主键
     * @return 支付
     */
    public TbPayment selectTbPaymentById(Long id);

    /**
     * 查询支付列表
     * 
     * @param tbPayment 支付
     * @return 支付集合
     */
    public List<TbPayment> selectTbPaymentList(TbPayment tbPayment);

    /**
     * 新增支付
     * 
     * @param tbPayment 支付
     * @return 结果
     */
    public int insertTbPayment(TbPayment tbPayment);

    /**
     * 修改支付
     * 
     * @param tbPayment 支付
     * @return 结果
     */
    public int updateTbPayment(TbPayment tbPayment);

    /**
     * 批量删除支付
     * 
     * @param ids 需要删除的支付主键集合
     * @return 结果
     */
    public int deleteTbPaymentByIds(String ids);

    /**
     * 删除支付信息
     * 
     * @param id 支付主键
     * @return 结果
     */
    public int deleteTbPaymentById(Long id);

    int selectCount(DateTime startTime, DateTime endTime);

    Double selectSumAmt(DateTime startTime, DateTime endTime);
}
